
From: "Andi Kleen" <ak@suse.de>

This will help only on gcc 4+.  On older gccs there is a workaround too, but
it is so ugly and there are no actual observed failures that I didn't apply
it.

Signed-off-by: Andi Kleen <ak@suse.de>
Cc: <rth@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/Makefile |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/x86_64/Makefile~x86_64-prevent-gcc-from-generating-mmx-code-by-mistake arch/x86_64/Makefile
--- 25/arch/x86_64/Makefile~x86_64-prevent-gcc-from-generating-mmx-code-by-mistake	2005-01-09 23:01:36.222876392 -0800
+++ 25-akpm/arch/x86_64/Makefile	2005-01-09 23:01:36.225875936 -0800
@@ -59,6 +59,8 @@ endif
 # -funit-at-a-time shrinks the kernel .text considerably
 # unfortunately it makes reading oopses harder.
 CFLAGS += $(call cc-option,-funit-at-a-time)
+# prevent gcc from generating any FP code by mistake
+CFLAGS += $(call cc-option,-mno-sse -mno-mmx -mno-sse2 -mno-3dnow,)
 
 head-y := arch/x86_64/kernel/head.o arch/x86_64/kernel/head64.o arch/x86_64/kernel/init_task.o
 
_
